Menu

apiPendingBatch

RequêteClé requise

Shop API: one held batch with its items.

Arguments

NomTypeDescription
batchIdString!requis

Retourne

ApiPendingBatchView!

Exemple

GraphQL
query ApiPendingBatch($batchId: String!) {
  apiPendingBatch(batchId: $batchId) {
    connectionId
    createdAt
    decidedAt
    id
    idempotencyKey
    itemCount
    items {
      compareAtMillimes
      offerId
      onHandQty
      paused
      priceMillimes
      sku
    }
    kind
    reason
    status
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiPendingBatch($batchId: String!) { apiPendingBatch(batchId: $batchId) { connectionId createdAt decidedAt id idempotencyKey itemCount items { compareAtMillimes offerId onHandQty paused priceMillimes sku } kind reason status } }"}'